> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poix.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get thumbnails files list

> This endpoint retrieves a list of thumbnail files for a specified YouTube video.



## OpenAPI

````yaml get /files/thumbnails/{videoId}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Poix API
servers:
  - url: https://api.poix.io
    description: Production server
security: []
paths:
  /files/thumbnails/{videoId}:
    get:
      summary: Get thumbnails files list
      description: >-
        This endpoint retrieves a list of thumbnail files for a specified
        YouTube video.
      operationId: getThumbnailsFilesList
      parameters:
        - schema:
            type: string
            minLength: 11
            maxLength: 11
            description: The YouTube video ID
            example: dQw4w9WgXcQ
          required: true
          name: videoId
          in: path
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    url:
                      type: string
                      format: uri
                      description: The URL of the thumbnail image
                    width:
                      type: integer
                      exclusiveMinimum: 0
                      description: The width of the thumbnail image
                    height:
                      type: integer
                      exclusiveMinimum: 0
                      description: The height of the thumbnail image
                  required:
                    - url
                    - width
                    - height
                description: List of available thumbnail files
              example:
                - id: default
                  width: 120
                  height: 90
                  format: webp
                  ratio: '4:3'
                  url: https://i.ytimg.com/vi_webp/dQw4w9WgXcQ/default.webp
                - id: medium
                  width: 320
                  height: 180
                  format: webp
                  ratio: '16:9'
                  url: https://i.ytimg.com/vi_webp/dQw4w9WgXcQ/mqdefault.webp
                - id: high
                  width: 480
                  height: 360
                  format: webp
                  ratio: '4:3'
                  url: https://i.ytimg.com/vi_webp/dQw4w9WgXcQ/hqdefault.webp
                - id: standard
                  width: 640
                  height: 480
                  format: webp
                  ratio: '4:3'
                  url: https://i.ytimg.com/vi_webp/dQw4w9WgXcQ/sddefault.webp
                - id: maxres
                  width: 1280
                  height: 720
                  format: webp
                  ratio: '16:9'
                  url: https://i.ytimg.com/vi_webp/dQw4w9WgXcQ/maxresdefault.webp
                - id: default
                  width: 120
                  height: 90
                  format: jpg
                  ratio: '4:3'
                  url: https://i.ytimg.com/vi/dQw4w9WgXcQ/default.jpg
                - id: medium
                  width: 320
                  height: 180
                  format: jpg
                  ratio: '16:9'
                  url: https://i.ytimg.com/vi/dQw4w9WgXcQ/mqdefault.jpg
                - id: high
                  width: 480
                  height: 360
                  format: jpg
                  ratio: '4:3'
                  url: https://i.ytimg.com/vi/dQw4w9WgXcQ/hqdefault.jpg
                - id: standard
                  width: 640
                  height: 480
                  format: jpg
                  ratio: '4:3'
                  url: https://i.ytimg.com/vi/dQw4w9WgXcQ/sddefault.jpg
                - id: maxres
                  width: 1280
                  height: 720
                  format: jpg
                  ratio: '16:9'
                  url: https://i.ytimg.com/vi/dQw4w9WgXcQ/maxresdefault.jpg
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  error:
                    type: object
                    properties:
                      issues:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            maximum:
                              type: number
                            type:
                              type: string
                            inclusive:
                              type: boolean
                            exact:
                              type: boolean
                            message:
                              type: string
                            path:
                              type: array
                              items:
                                type: string
                          required:
                            - code
                            - type
                            - message
                            - path
                      name:
                        type: string
                        enum:
                          - ZodError
                    required:
                      - issues
                      - name
                required:
                  - success
                  - error
              example:
                success: false
                error:
                  issues:
                    - code: too_big
                      maximum: 11
                      type: string
                      inclusive: true
                      exact: true
                      message: String must contain exactly 11 character(s)
                      path:
                        - videoId
                  name: ZodError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                    required:
                      - message
                required:
                  - error
              example:
                error:
                  message: Forbidden
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````